#!/bin/sh

BASEDIR=/share/Apps/local
NAME=aria2c
DAEMON=$BASEDIR/bin/$NAME

start()
{	
    if [ -n "`ps | grep '$NAME' | grep 'enable-rpc' | grep -v 'grep'`" ]; then
        #don't start it twice
	echo "Aria2c Daemon already running"
        exit 0
    fi
	
    if [ ! -f "$BASEDIR/config/settings.json" ]; then
        $DAEMON --enable-rpc --rpc-listen-all --file-allocation=none -q --dir=/share/Download -D --log=/tmp/aria2c.log
    fi
}

stop()
{	
    if [ -n "`/bin/busybox ps | grep "aria2c" | grep 'enable-rpc' | grep -v "grep"`" ]; then
        PID=`/bin/busybox ps |grep "aria2c"|grep 'enable-rpc'|grep -v 'grep'|cut -d' ' -f2`
        kill -9 $PID >/dev/null 2>/dev/null
        sleep 2
    fi
}

case "$1" in
	start)
	start
	;;

	stop)
	stop
	;;

	restart)
	stop
	sleep 1
	start
esac
