#!/bin/sh

LOCAL=/share/Apps/local
NAME=aria2
OPKG=/share/Apps/local/bin/opkg
LD_LIBRARY_PATH=/share/Apps/local/lib:/usr/local/lib:/opt/syb/sigma/lib:/opt/syb/app/lib:/nmt/apps/lib:/lib;export LD_LIBRARY_PATH

is_nmt100() {
    [ -f /mnt/syb8634/MIN_FIRMWARE_VER ]
}
is_nmt200() {
    [ -f /nmt/apps/MIN_FIRMWARE_VER ] 
}

install()
{	
    if is_nmt200; then
        dir="/nmt/apps"
    elif is_nmt100; then
        dir="/mnt/syb8634"
    else 
        echo "Unknown NMT."
        exit 1
    fi

    if [ -d /opt/gaya ]; then
        MODEL=a110
    else
        CHIPSET=`/opt/syb/sigma/bin/gbus_read_uint32 0x0002fee8 2>&-`
        if [ $CHIPSET = "0x00008911" ];then
            MODEL=a400
        elif [ $CHIPSET = "0x00008647" -o $CHIPSET = "0x00008643" ];then
            MODEL=c200
        fi
    fi

    if [ ! -f $OPKG ]; then
        cd /share
        wget -q http://sourceforge.net/projects/nmtcsi/files/opkg_${MODEL}_latest.zip
        unzip opkg_${MODEL}_latest.zip
        if [ -f opkg.tar ];then
            /share/Apps/AppInit/appinit.cgi install opkg.tar
            rm opkg.tar opkg_${MODEL}_latest.zip
        fi
    fi

    if [ -f $OPKG ];then
        if [ -f $LOCAL/bin/aria2c ];then
            $OPKG remove $NAME -force-depends -V0
        fi
        $OPKG update -V0
        $OPKG install $NAME -force-overwrite -force-reinstall -V0
    else
        echo "Cannot install opkg automatically."
        exit 1
    fi
}

uninstall()
{
    if is_nmt200; then
        dir="/nmt/apps"
    elif is_nmt100; then
        dir="/mnt/syb8634"
    else 
        echo "Unknown NMT."
        exit 1
    fi
}


case "$1" in
    install)
    install
    ;;
    
    uninstall)
    uninstall
    ;;
esac
